petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPPGMRES

Implements the Pipelined Generalized Minimal Residual method.

### Options Database Keys

| -ksp_gmres_restart <restart> | - the number of Krylov directions to orthogonalize against
| -ksp_gmres_haptol <tol> | - sets the tolerance for "happy ending" (exact convergence)
| -ksp_gmres_preallocate | - preallocate all the Krylov search directions initially (otherwise groups of vectors are allocated as needed)
| -ksp_gmres_classicalgramschmidt | - use classical (unmodified) Gram-Schmidt to orthogonalize against the Krylov space (fast) (the default)
| -ksp_gmres_modifiedgramschmidt | - use modified Gram-Schmidt in the orthogonalization (more stable, but slower)
| -ksp_gmres_cgs_refinement_type <never,ifneeded,always> | - determine if iterative refinement is used to increase the stability of the classical Gram-Schmidt orthogonalization.
| -ksp_gmres_krylov_monitor | - plot the Krylov space generated

### Notes

MPI configuration may be necessary for reductions to make asynchronous progress, which is important for performance of pipelined methods. See the FAQ on the PETSc website for details.

### Reference

Ghysels, Ashby, Meerbergen, Vanroose, Hiding global communication latencies in the GMRES algorithm on massively parallel machines, 2012.

Developer Notes: This object is subclassed off of KSPGMRES

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP, KSPGMRES, KSPLGMRES, KSPPIPECG, KSPPIPECR,
KSPGMRESSetRestart(), KSPGMRESSetHapTol(), KSPGMRESSetPreAllocateVectors(), KSPGMRESSetOrthogonalization(), KSPGMRESGetOrthogonalization(), KSPGMRESClassicalGramSchmidtOrthogonalization(), KSPGMRESModifiedGramSchmidtOrthogonalization(), KSPGMRESCGSRefinementType, KSPGMRESSetCGSRefinementType(), KSPGMRESGetCGSRefinementType(), KSPGMRESMonitorKrylov()

Level:beginner
Location:src/ksp/ksp/impls/gmres/pgmres/pgmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages